---
title: "List Orders"
source_url: https://docs.rapyd.net/en/list-orders.html
lang: en
---

# List Orders

Retrieve a list of all orders.

You can filter the list with query parameters.

### Parameters

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Request Query Parameters

- - ending_before
  - The ID of the order created after the last order you want to retrieve.
- - limit
  - The maximum number of orders to return. Range: 1-100.

    10
- - starting_after
  - The ID of the order created before the first order you want to retrieve.

### Response Parameters

- - amount
  - Total amount of the order, the sum of the amount of the shipping' items, plus the `amount` of the tax, plus `amount` times `quantity` of each of the `sku` items. Decimal.
- - amount_returned
  - Total amount of returns against the order. Decimal.
- - coupon
  - ID of a coupon that is applied against this order.
- - created
  - When the order was created, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
- - currency
  - Three-letter ISO 4217 code for the currency used in the `item` objects.
- - customer
  - ID of the customer. String starting with **cus_**.
- - email
  - Email address of the customer.
- - external_coupon_code
  - ID of a coupon that is applied against this order, defined by the merchant. If generated by Rapyd, a string starting with **coupon_**.
- - id
  - Unique ID of the Order object. If the merchant does not define an ID, Rapyd generates a string starting with **order_**.
- - items
  - Each item describes one charge in this invoice. There must be one item of `type` = **shipping** and at least one item of `type` = **sku**.

    - - amount
      - Price of one SKU unit, in the currency defined in `currency`. Decimal, including the correct number of decimal places for the currency exponent, as defined in ISO 2417:2015.
    - - currency
      - Three-letter ISO 4217 code for the currency. Must be the same as the currency of the order and the currency of the customer's payment method.
    - - description
      - Description of the item.
    - - parent
      - ID of the SKU object that represents the product. One of the following:

        - ID of the SKU object. String starting with **sku_**
        - ID of the coupon. If generated by Rapyd, a string starting with **coupon_**.
    - - quantity
      - Quantity of the product in the line item. Integer. Required when `type` is **sku**.
    - - type
      - Type of line item. One of the following:

        - **discount**
        - **shipping**
        - **sku**
        - **tax**
- - metadata
  - A JSON object defined by the client. See [Metadata](https://docs.rapyd.net/en/metadata.md "Metadata").
- - payment
  - Describes the collection efforts being made against this order.
- - payment_method
  - Payment method ID. String starting with **card_** or **other_**.

    If not specified in this field, the payment method is the default payment method specified for the customer.
- - returns
  - A list of the returns charged against this order.
- - shipping_address
  - Address to receive the shipment.

    - address
    - Billing address associated with the payment. For details about the fields of the 'address' object, see [Create Address](https://docs.rapyd.net/en/create-address.md "Create Address").
- - status
  - Indicates the status of the order. One of the following:

    - **created** - Created.
    - **pending** - The collection process has been started.
    - **paid** - Paid in full.
    - **canceled** - The total amount of returns against this order equal the total amount of the order.
    - **partial** - Some of the products have been delivered to the customer.
    - **fulfilled** - The products have been delivered to the customer.
    - **returned** - A return has been processed against this order.
- - status_transitions
  - Indicates the last time in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") that the order transitioned to one of the following statuses. A zero value for a status indicates that the order has never transitioned to it.

    - **canceled**
    - **fulfilled**
    - **paid**
    - **partial**
    - **pending**
    - **returned**
- - tax_percent
  - Percentage of tax to charge. Decimal 0-100, up to four decimal places.
- - updated
  - Time the order was last updated, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
- - upstream_id
  - Merchant-defined ID for the order.

### Code Samples

- - .NET

    - ```csharp
      using System;

      namespace RapydApiRequestSample
      {
          class Program
          {
              static void Main(string[] args)
              {
                  try
                  {
                      string result = RapydApiRequestSample.Utilities.MakeRequest("GET", $"/v1/orders");

                      Console.WriteLine(result);
                  }
                  catch (Exception e)
                  {
                      Console.WriteLine("Error completing request: " + e.Message);
                  }
              }
          }
      }
      ```
- - JavaScript

    - ```javascript
      const makeRequest = require('<path-to-your-utility-file>/utilities').makeRequest;

      async function main() {
        try {
          const result = await makeRequest(
            'GET', '/v1/orders'
          );

          console.log(result);
        } catch (error) {
          console.error('Error completing request', error);
        }
      }
      ```
- - PHP

    - ```php
      <?php
      $path = $_SERVER['DOCUMENT_ROOT'];
      $path .= "/<path-to-your-utility-file>/utilities.php";
      include($path);

      try {
          $object = make_request('get', '/v1/orders');
          var_dump($object);
      } catch(Exception $e) {
          echo "Error: $e";
      }
      ?>
      ```
- - Python

    - ```python
      from pprint import pprint

      from utilities import make_request

      result = make_request(method='get', path='/v1/orders')
      pprint(result)
      ```

- /v1/orders

- List Orders
- ```curl
  curl -X get
  https://sandboxapi.rapyd.net/v1/orders
  -H 'access_key: your-access-key-here'
  -H 'Content-Type: application/json'
  -H 'salt: your-random-string-here'
  -H 'signature: your-calculated-signature-here'
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "1791666b-8b7b-42ed-afb0-7e3ab1f26c97"
      },
      "data": [
          {
              "id": "order_90c6a004eb51af10ad8521de4d984a22",
              "amount": 471.5,
              "amount_returned": 0,
              "payment": null,
              "created": 1596103588,
              "customer": "cus_bb2efee62c0179f563f0d29ba5001051",
              "currency": "USD",
              "email": "johndoe@rapyd.net",
              "external_coupon_code": "",
              "items": [
                  {
                      "amount": 10,
                      "currency": "USD",
                      "description": "Shipping",
                      "parent": "",
                      "quantity": 1,
                      "type": "shipping"
                  },
                  {
                      "amount": 200,
                      "currency": "USD",
                      "description": "Deluxe Gamer's Chair",
                      "parent": "sku_46976a7be5c29d2b2073059877751419",
                      "quantity": 2,
                      "type": "sku"
                  },
                  {
                      "amount": 61.5,
                      "currency": "USD",
                      "description": "15% tax on total order",
                      "parent": "",
                      "quantity": 0,
                      "type": "tax"
                  }
              ],
              "metadata": {
                  "merchant_defined": true
              },
              "returns": [],
              "shipping_address": {
                  "id": "address_9eb6deb646a279dbdc423f07fa4121ba",
                  "name": "John Doe",
                  "line_1": "",
                  "line_2": "",
                  "line_3": "",
                  "city": "Anytown",
                  "state": "NY",
                  "country": "US",
                  "zip": "12345",
                  "phone_number": "12125559999",
                  "metadata": {
                      "merchant_defined": true
                  },
                  "canton": "",
                  "district": "",
                  "created_at": 1596103588
              },
              "status": "created",
              "status_transitions": {
                  "canceled": 0,
                  "fulfilled": 0,
                  "paid": 0,
                  "returned": 0,
                  "pending": 0,
                  "partial": 0
              },
              "updated": 1596103988,
              "upstream_id": "GZC12345",
              "tax_percent": 15
          },
          {
              "id": "order_cf13cf30cbf555e470ed8755daecdf44",
              "amount": 271.8,
              "amount_returned": 271.8,
              "payment": {
                  "id": "payment_1388d5db23c1a1bd0fa18377153b25e7",
                  "amount": 270,
                  "original_amount": 270,
                  "is_partial": false,
                  "currency_code": "USD",
                  "country_code": "US",
                  "status": "CLO",
                  "description": "",
                  "merchant_reference_id": "",
                  "customer_token": "cus_01b68b2e5502d82ffab2d51eebd5c9c0",
                  "payment_method": "card_06c2f1cc4231af40b621f942a05e42a9",
                  "expiration": 0,
                  "captured": true,
                  "refunded": true,
                  "refunded_amount": 271.8,
                  "receipt_email": "johndoe@rapyd.net",
                  "redirect_url": "",
                  "complete_payment_url": "",
                  "error_payment_url": "",
                  "receipt_number": "",
                  "flow_type": "",
                  "address": null,
                  "statement_descriptor": "",
                  "transaction_id": "",
                  "created_at": 1586533940,
                  "metadata": {
                      "merchant_defined": true
                  },
                  "failure_code": "",
                  "failure_message": "",
                  "paid": true,
                  "paid_at": 1586533940,
                  "dispute": null,
                  "refunds": null,
                  "order": null,
                  "outcome": null,
                  "visual_codes": {},
                  "textual_codes": {},
                  "instructions": {
                      "data": []
                  },
                  "ewallet_id": null,
                  "ewallets": [],
                  "payment_method_options": {},
                  "payment_method_type": "us_mastercard_card",
                  "payment_method_type_category": "card",
                  "fx_rate": "",
                  "merchant_requested_currency": null,
                  "merchant_requested_amount": null,
                  "fixed_side": "",
                  "payment_fees": null,
                  "invoice": "",
                  "escrow": null,
                  "group_payment": "",
                  "initiation_type": ""
              },
              "created": 1586533938,
              "customer": "cus_01b68b2e5502d82ffab2d51eebd5c9c0",
              "currency": "USD",
              "email": "johndoe@rapyd.net",
              "external_coupon_code": "",
              "items": [
                  {
                      "amount": 9,
                      "currency": "USD",
                      "description": "green book",
                      "parent": "sku_6e0e8134930c8e6dde8ad276280c0bdb",
                      "quantity": 19,
                      "type": "sku"
                  },
                  {
                      "amount": 1.8,
                      "currency": "USD",
                      "description": "tax on total order",
                      "parent": "",
                      "quantity": 0,
                      "type": "tax"
                  },
                  {
                      "amount": 9,
                      "currency": "USD",
                      "description": "orange book",
                      "parent": "",
                      "quantity": 1,
                      "type": "shipping"
                  }
              ],
              "metadata": {
                  "merchant_defined": true
              },
              "returns": [
                  {
                      "amount": 9,
                      "currency": "USD",
                      "description": "green book",
                      "parent": "sku_6e0e8134930c8e6dde8ad276280c0bdb",
                      "returned_quantity": 1,
                      "type": "shipping"
                  },
                  {
                      "amount": .9,
                      "currency": "USD",
                      "description": "Tax on returned items",
                      "parent": 0,
                      "returned_quantity": 1,
                      "type": "tax"
                  }
              ],
              "shipping_address": {
                  "id": "address_cb20db888fc42bd1cdd4518b99e5531f",
                  "name": "John Doe",
                  "line_1": "123 Main Street",
                  "line_2": "",
                  "line_3": "",
                  "city": "Anytown",
                  "state": "NY",
                  "country": "US",
                  "zip": "12345",
                  "phone_number": "+12125553927",
                  "metadata": {
                      "merchant_defined": true
                  },
                  "canton": "",
                  "district": "",
                  "created_at": 1586533938
              },
              "status": "returned",
              "status_transitions": {
                  "canceled": 0,
                  "fulfilled": 0,
                  "paid": 1586533940,
                  "returned": 1586533946,
                  "pending": 0,
                  "partial": 0
              },
              "updated": 1586533946,
              "upstream_id": "e09876",
              "tax_percent": 10
          }
      ]
  }
  ```
